## ros-humble-rosbag2-storage-mcap 0.15.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(rosbag2_storage_mcap)

# Set Release build if no build type was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Build type for the build. Possible values are: Debug, Release, RelWithDebInfo, MinSizeRel"
      FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
      "Debug" "Release" "RelWithDebInfo" "MinSizeRel")
endif()

# Enable additional warnings and warnings as errors
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Get the ROS_DISTRO environment variable
set(ROS_DISTRO $ENV{ROS_DISTRO})

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(mcap_vendor REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2_storage REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/mcap_storage.cpp
  src/message_definition_cache.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)
target_compile_features(${PROJECT_NAME} PUBLIC c_std_99 cxx_std_17)
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_STORAGE_MCAP_BUILDING_DLL")
ament_target_dependencies(${PROJECT_NAME}
  mcap_vendor
  pluginlib
  rcutils
  rosbag2_storage)

set(MCAP_COMPILE_DEFS)
# COMPATIBILITY(foxy) - 0.3.x is the Foxy release
if(${rosbag2_storage_VERSION} VERSION_GREATER_EQUAL 0.4.0)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_HAS_STORAGE_OPTIONS)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_WRITER_CREATES_DIRECTORY)
endif()
# COMPATIBILITY(galactic) - 0.9.x is the Galactic release
if(${rosbag2_storage_VERSION} VERSION_GREATER_EQUAL 0.10.0)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_OVERRIDE_SEEK_METHOD)
endif()
# COMPATIBILITY(foxy, galactic) - 0.15.x is the Humble release
if(${rosbag2_storage_VERSION} VERSION_GREATER_EQUAL 0.15.0)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_HAS_YAML_HPP)
endif()
# COMPATIBILITY(foxy, galactic, humble, rolling:0.17.x)
if(${rosbag2_storage_VERSION} VERSION_GREATER_EQUAL 0.17.0)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_HAS_STORAGE_FILTER_TOPIC_REGEX)
endif()
# COMPATIBILITY(foxy, galactic, humble, rolling:0.17.x, rolling:0.18.x)
if(${rosbag2_storage_VERSION} VERSION_GREATER_EQUAL 0.18.0)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_HAS_SET_READ_ORDER)
  list(APPEND MCAP_COMPILE_DEFS ROSBAG2_STORAGE_MCAP_HAS_UPDATE_METADATA)
endif()

target_compile_definitions(${PROJECT_NAME} PRIVATE ${MCAP_COMPILE_DEFS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_STORAGE_MCAP_BUILDING_LIBRARY")

pluginlib_export_plugin_description_file(rosbag2_storage plugin_description.xml)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rcpputils REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  find_package(std_msgs REQUIRED)

  add_definitions(-D_TEST_RESOURCES_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}/test/${PROJECT_NAME}")

  set(ament_cmake_clang_format_CONFIG_FILE .clang-format)
  list(APPEND AMENT_LINT_AUTO_EXCLUDE ament_cmake_uncrustify)
  if(WIN32)
    # clang-format is not easily exposed to Windows, this linter enforced regardless via Linux/OSX builds
    list(APPEND AMENT_LINT_AUTO_EXCLUDE ament_cmake_clang_format)
  endif()
  ament_lint_auto_find_test_dependencies()

  ament_add_gmock(test_mcap_storage test/rosbag2_storage_mcap/test_mcap_storage.cpp)
  target_link_libraries(test_mcap_storage ${PROJECT_NAME})
  ament_target_dependencies(test_mcap_storage mcap_vendor rosbag2_storage rosbag2_test_common std_msgs)
  target_compile_definitions(test_mcap_storage PRIVATE ${MCAP_COMPILE_DEFS})

  ament_add_gmock(test_message_definition_cache test/rosbag2_storage_mcap/test_message_definition_cache.cpp)
  target_link_libraries(test_message_definition_cache ${PROJECT_NAME})
endif()


ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(rosbag2_storage rcutils)

ament_package()

=== debian/changelog ===
ros-humble-rosbag2-storage-mcap (0.15.7-1jammy) jammy; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * [humble] Add ROS_DISTRO metadata record to mcap file when opening for writing (backport #1371 <https://github.com/ros2/rosbag2/issues/1371>) (#1393 <https://github.com/ros2/rosbag2/issues/1393>)
  * Contributors: Emerson Knapp, Michael Orlov, mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.6-1jammy) jammy; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.4-1jammy) jammy; urgency=high

  * rosbag2_storage_mcap: fix rosbag2_cpp tests (#1205 <https://github.com/ros2/rosbag2/issues/1205>)
  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.6.0-1jammy) jammy; urgency=high

  * mcap_storage: 'none' is a valid storage preset profile (#86 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/86>)
  * mcap_storage: handle update_metadata call (#83 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/83>)
  * Update clang-format rules to fit ROS 2 style guide (#80 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/80>)
  * Revert "read_order: throw exception from set_read_order for unsupported orders"
    This reverts commit aef9b9a65293f9e5d80a858ef84e485a8655a0c0.
  * read_order: throw exception from set_read_order for unsupported orders
  * Fix compile flags to work on rosbag_storage:0.17.x (#78 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/78>)
    This fixes the compile flags for rolling, which has two versions -- one that does not support read order (0.17.x) and one that does support read order (0.18.x).
  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Andrew Symington, Emerson Knapp, James Smith, james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 28 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.5.0-1jammy) jammy; urgency=high

  * set defaults for SQLite plugin parity (#68 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/68>)
  * rosbag2_storage_mcap: add storage preset profiles (#57 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/57>)
  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Add set_read_order reader API (#54 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/54>)
  * Contributors: Chris Lalancette, Emerson Knapp, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 02 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.4.0-1jammy) jammy; urgency=high

  * Some minor improvements in rosbag2_storage_mcap after review (#58 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/58>)
    1. Fixed some findings from Clang-Tidy
    1. Some renames according to the ROS2 coding style
    1. Add default initializations for member variables
    1. Moved code responsible for adding schema and channel from write(msg)
    to create_topic(topic) method to reduce performance burden on first
    message write and in lieu to preparation for moving schema collection
    process to upper SequentialWriter layer.
  * Revert "rosbag2_storage_mcap: add storage preset profiles"
    This reverts commit 38830add3935b978968fe2703d3180b413ccc8c2.
  * rosbag2_storage_mcap: add storage preset profiles
  * Contributors: James Smith, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 06 Oct 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.3.0-1jammy) jammy; urgency=high

  * Store IDL message definitions in Schema records when no MSG definition is available
    (#43 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/43>)
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 09 Sep 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.2.0-1jammy) jammy; urgency=high

  * Support timestamp-ordered playback (#50 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/50>)
  * Support regex topic filtering
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 08 Sep 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.1.7-1jammy) jammy; urgency=high

  * Add all lz4 sources to fix undefined symbols at runtime (#46 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/46>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 15 Aug 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.1.6-1jammy) jammy; urgency=high

  * Upgrade mcap to fix LZ4 error and segfault (#42 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/42>)
    Incorporates fixes from https://github.com/foxglove/mcap/pull/478 and https://github.com/foxglove/mcap/pull/482
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 22 Jul 2022 00:00:00 -0000



=== debian/control ===
Source: ros-humble-rosbag2-storage-mcap
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-mcap-vendor, ros-humble-pluginlib, ros-humble-rcpputils <!nocheck>, ros-humble-rcutils, ros-humble-rosbag2-storage, ros-humble-rosbag2-storage-mcap-testdata <!nocheck>, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-std-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-storage-mcap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-mcap-vendor, ros-humble-pluginlib, ros-humble-rcutils, ros-humble-rosbag2-storage, ros-humble-ros-workspace
Description: rosbag2 storage plugin using the MCAP file format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rosbag2-storage-mcap 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-storage-mcap (0.15.12-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.11-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Use rw_lock to protect mcap metadata lists. (backport #1561 <https://github.com/ros2/rosbag2/issues/1561>) (#1567 <https://github.com/ros2/rosbag2/issues/1567>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.9-1bookworm) bookworm; urgency=high

  * Link and compile against rosbag2_storage_mcap: Fixed issue 1492 (#1496 <https://github.com/ros2/rosbag2/issues/1496>) (#1498 <https://github.com/ros2/rosbag2/issues/1498>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.8-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.7-1bookworm) bookworm; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * [humble] Add ROS_DISTRO metadata record to mcap file when opening for writing (backport #1371 <https://github.com/ros2/rosbag2/issues/1371>) (#1393 <https://github.com/ros2/rosbag2/issues/1393>)
  * Contributors: Emerson Knapp, Michael Orlov, mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.6-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.4-1bookworm) bookworm; urgency=high

  * rosbag2_storage_mcap: fix rosbag2_cpp tests (#1205 <https://github.com/ros2/rosbag2/issues/1205>)
  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.6.0-1bookworm) bookworm; urgency=high

  * mcap_storage: 'none' is a valid storage preset profile (#86 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/86>)
  * mcap_storage: handle update_metadata call (#83 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/83>)
  * Update clang-format rules to fit ROS 2 style guide (#80 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/80>)
  * Revert "read_order: throw exception from set_read_order for unsupported orders"
    This reverts commit aef9b9a65293f9e5d80a858ef84e485a8655a0c0.
  * read_order: throw exception from set_read_order for unsupported orders
  * Fix compile flags to work on rosbag_storage:0.17.x (#78 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/78>)
    This fixes the compile flags for rolling, which has two versions -- one that does not support read order (0.17.x) and one that does support read order (0.18.x).
  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Andrew Symington, Emerson Knapp, James Smith, james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.5.0-1bookworm) bookworm; urgency=high

  * set defaults for SQLite plugin parity (#68 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/68>)
  * rosbag2_storage_mcap: add storage preset profiles (#57 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/57>)
  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Add set_read_order reader API (#54 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/54>)
  * Contributors: Chris Lalancette, Emerson Knapp, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.4.0-1bookworm) bookworm; urgency=high

  * Some minor improvements in rosbag2_storage_mcap after review (#58 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/58>)
    1. Fixed some findings from Clang-Tidy
    1. Some renames according to the ROS2 coding style
    1. Add default initializations for member variables
    1. Moved code responsible for adding schema and channel from write(msg)
    to create_topic(topic) method to reduce performance burden on first
    message write and in lieu to preparation for moving schema collection
    process to upper SequentialWriter layer.
  * Revert "rosbag2_storage_mcap: add storage preset profiles"
    This reverts commit 38830add3935b978968fe2703d3180b413ccc8c2.
  * rosbag2_storage_mcap: add storage preset profiles
  * Contributors: James Smith, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.3.0-1bookworm) bookworm; urgency=high

  * Store IDL message definitions in Schema records when no MSG definition is available


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap//opt/ros/humble/opt/rosbag2_storage_mcap/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
